<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="cn.exlive.mygpsonline.bean.PositionLast" table="Position_Last" schema="dbo" >
        <id name="vehicleId" type="java.lang.Integer">
            <column name="VehicleID" />
            <generator class="native" />
        </id>
        <property name="userId" type="java.lang.Integer">
            <column name="UserID" not-null="true" />
        </property>
        <property name="gpstime" type="java.util.Date">
            <column name="GPS时间" length="23" not-null="true" />
        </property>
        <property name="recvtime" type="java.util.Date">
            <column name="接收时间" length="23" not-null="true" />
        </property>
        <property name="lng" type="java.lang.Float">
            <column name="经度" precision="53" scale="0" not-null="true" />
        </property>
        <property name="lat" type="java.lang.Float">
            <column name="纬度" precision="53" scale="0" not-null="true" />
        </property>
        <property name="height" type="java.lang.Float">
            <column name="高度" precision="53" scale="0" not-null="true" />
        </property>
        <property name="speed" type="java.lang.Float">
            <column name="速度" precision="53" scale="0" not-null="true" />
        </property>
        <property name="direct" type="java.lang.Short">
            <column name="方向" not-null="true" />
        </property>
        <property name="av" type="java.lang.String">
            <column name="有效性" length="1" not-null="true" />
        </property>
        <property name="state" type="java.lang.Integer">
            <column name="状态" not-null="true" />
        </property>
        <property name="memo" type="java.lang.String">
            <column name="memo" length="250" />
        </property>
        <property name="state2" type="java.lang.String">
            <column name="状态2" length="250" />
        </property>
        <property name="temperature" type="java.lang.Float">
            <column name="temperature" precision="53" scale="0" not-null="true" />
        </property>
        <many-to-one   name="vehicle" class="cn.exlive.mygpsonline.bean.Vehicle" column="vehicleId" not-null="true" unique="true" cascade="all" ></many-to-one>
    </class>
</hibernate-mapping>
